/*
 * @Author: wrh
 * @Date: 2024-01-30 16:37:46
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2024-01-30 17:22:10
 */
import request from '@/utils/request'

// 查询cmc项目列表
export function listProject(query) {
  return request({
    url: '/oa/project/list',
    method: 'get',
    params: query
  })
}

// 查询cmc项目详细
export function getProject(projectId) {
  return request({
    url: '/oa/project/' + projectId,
    method: 'get'
  })
}

// 新增cmc项目
export function addProject(data) {
  return request({
    url: '/oa/project',
    method: 'post',
    data: data
  })
}

// 修改cmc项目
export function updateProject(data) {
  return request({
    url: '/oa/project',
    method: 'put',
    data: data
  })
}

// 删除cmc项目
export function delProject(projectId) {
  return request({
    url: '/oa/project/' + projectId,
    method: 'delete'
  })
}
